using System.Reflection;
using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;

// Ogólne informacje o podzespole są określane przy użyciu poniższych atrybutów.
// Aby zmienić informacje skojarzone z tym podzespołem, należy zmienić wartości
// tych atrybutów.
[assembly: AssemblyTitle("CallerInfoAttributes")]
[assembly: AssemblyDescription("")]
[assembly: AssemblyConfiguration("")]
[assembly: AssemblyCompany("")]
[assembly: AssemblyProduct("CallerInfoAttributes")]
[assembly: AssemblyCopyright("Copyright ©  2012")]
[assembly: AssemblyTrademark("")]
[assembly: AssemblyCulture("")]

// Ustawienie wartości ComVisible na false sprawi, że kod umieszczony w tym podzespole
// nie będzie dostępny dla komponentów COM. Jeśli jakiś typ umieszczony w tym podzespole
// ma być dostępny dla technologii COM, to należy do tego typu dodać atrybut 
// ComVisible o wartości true.
[assembly: ComVisible(false)]

// Ten identyfikator GUID służy jako identyfikator gdyby projekt był udostępniany 
// przy użyciu technologii COM
[assembly: Guid("69be28a9-6fc4-4f21-9cac-fdb1f5b5490f")]

// Informacje o wersji podzespołu składają się z następujących wartości:
//
//      Wersji głównej
//      Wersji pomocniczej
//      Kompilacji
//      Rewizji
//
// Można określić wszystkie te wartości lub można też użyć domyślnych wartości Kompilacji i Rewizji 
// podając zamiast liczb symbol '*', tak jak pokazano poniżej:
// [assembly: AssemblyVersion("1.0.*")]
[assembly: AssemblyVersion("1.0.0.0")]
[assembly: AssemblyFileVersion("1.0.0.0")]

// Listing 15-14
[assembly: InternalsVisibleTo("ImageManagement.Tests")]
[assembly: InternalsVisibleTo("ImageServices.Tests")]
